%define rversion %{version}.00

Summary:	An enhanced version of csh, the C shell
Name:		tcsh
Version:	6.17
Release:	%mkrel 1
License:	BSD
Group:		Shells
URL:		http://www.tcsh.org/
Source:		ftp://ftp.astron.com/pub/tcsh/tcsh-%{version}.00.tar.gz
Source1:	alias.csh
# patches from fedora
Patch1:		tcsh-6.15.00-closem.patch
Patch12:	tcsh-6.15.00-tinfo.patch
Patch13:	tcsh-6.14.00-unprintable.patch
Patch14:	tcsh-6.15.00-hist-sub.patch

# our patches
Patch101:	tcsh-6.15.00-termios.patch
Patch106:	tcsh-6.10.00-glibc_compat.patch
# handle new DIR_COLORS codes, fixes #40532, #48284
Patch107:	tcsh-6.17.00-ls-colors-var.patch
# -Wformat -Werror=format-security pseudo fixes
Patch108:	tcsh-6.17.00-str-fmt.patch

BuildRequires:	libtermcap-devel groff-for-man
Requires(post):	rpm-helper >= 0.7
Requires(postun): rpm-helper >= 0.7
Provides:	csh = %{version}
# explicit file provides
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Tcsh is an enhanced but completely compatible version of csh, the C
shell. Tcsh is a command language interpreter which can be used both
as an interactive login shell and as a shell script command processor.
Tcsh includes a command line editor, programmable word completion,
spelling correction, a history mechanism, job control and a C language
like syntax.

%prep
%setup -q -n %{name}-%{rversion}
%patch1 -p1 -b .closem
%patch12 -p1 -b .tinfo
%patch13 -p1 -b .unprintable
%patch14 -p1 -b .hist-sub

%patch101 -p1 -b .termios
%patch106 -p1 -b .glibc_compat
%patch107 -p0 -b .ls-colors
%patch108 -p0 -b .str-fmt

%build
%configure2_5x --bindir=/bin --without-hesiod
%make
nroff -me eight-bit.me > eight-bit.txt

%install
rm -rf %{buildroot}

#mkdir -p %{buildroot}%{_mandir}/man1 %{buildroot}/bin
install -Ds tcsh %{buildroot}/bin/tcsh
install -D tcsh.man %{buildroot}%{_mandir}/man1/tcsh.1

ln -s tcsh.1 %{buildroot}%{_mandir}/man1/csh.1
ln -sf tcsh %{buildroot}/bin/csh

#mkdir -p %{buildroot}/etc/profile.d/
install -D %{SOURCE1} %{buildroot}/etc/profile.d/$(basename %{SOURCE1})

%clean
rm -rf %{buildroot}

%post
/usr/share/rpm-helper/add-shell %{name} $1 /bin/csh
/usr/share/rpm-helper/add-shell %{name} $1 /bin/tcsh

%postun
/usr/share/rpm-helper/del-shell %{name} $1 /bin/csh
/usr/share/rpm-helper/del-shell %{name} $1 /bin/tcsh

%files
%defattr(644,root,root,755)
%doc NewThings FAQ Fixes eight-bit.txt complete.tcsh
%doc Ported README* WishList Y2K
%config(noreplace) %{_sysconfdir}/profile.d/*
%attr(755,root,root) /bin/*
%{_mandir}/*/*


%changelog
* Mon Mar 01 2010 Ahmad Samir <ahmadsamir@mandriva.org> 6.17-1mdv2010.1
+ Revision: 512885
- clean spec
- new upstream release 6.17.00
- switch source url to a more up-to-date ftp
- rediff patch107, patch108

  + Sandro Cazzaniga <kharec@mandriva.org>
    - fix warning

* Sat Jan 16 2010 Sandro Cazzaniga <kharec@mandriva.org> 6.16-1mdv2010.1
+ Revision: 492188
- remove patch 15
- upgrade to 6.16

* Sat Nov 14 2009 Andrey Borzenkov <arvidjaar@mandriva.org> 6.15-7mdv2010.1
+ Revision: 465967
- update patch107 to add more colors (mdv #53139)

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 6.15-6mdv2010.0
+ Revision: 427288
- rebuild

* Sat Apr 11 2009 Gustavo De Nardin <gustavodn@mandriva.com> 6.15-5mdv2009.1
+ Revision: 365947
- P101, termios: rediffed for version tcsh-6.15, fuzz=0 fever
- P12: rediffed for version tcsh-6.15, fuzz=0 fever
- P107: handle new DIR_COLORS codes 'ca' and 'hl', fixing #40532, #48284
- P108: -Wformat -Werror=format-security pseudo fixes

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Mon Sep 15 2008 Pixel <pixel@mandriva.com> 6.15-3mdv2009.0
+ Revision: 284950
- handle dircolors's rs=xxx (#40532)

* Wed Jul 09 2008 Pixel <pixel@mandriva.com> 6.15-2mdv2009.0
+ Revision: 232986
- explictly provide /bin/csh

* Sat May 03 2008 Funda Wang <fwang@mandriva.org> 6.15-1mdv2009.0
+ Revision: 200575
- add more patches from fedora
- drop authuid patch, it is not needed any more
- New version 6.15
- drop unneeded patch

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 6.14-5mdv2008.1
+ Revision: 179641
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 01 2007 Pixel <pixel@mandriva.com> 6.14-4mdv2008.0
+ Revision: 57653
- sync patches with fedora's (including a fix for "Unknown colorls variable `su'" #32013)


* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 6.14-3mdv2007.0
+ Revision: 119976
- Import tcsh

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 6.14-2mdk
- Rebuild

* Thu Aug 25 2005 Pixel <pixel@mandriva.com> 6.14-1mdk
- new release
- drop patch0 (utmp) and patch7 (dspmbyte)
- take patch3, patch4, patch5 from fedora
- fix & enhance prereq
- build eight-bit.txt in build stage (cleaner that way)

* Tue Nov 09 2004 Pixel <pixel@mandrakesoft.com> 6.13-2mdk
- add dspmbyte patch from redhat (bugzilla #10116)

* Fri Jun 18 2004 Pixel <pixel@mandrakesoft.com> 6.13-1mdk
- drop patch 7 (which was replacing "eq" with "strncasecmp" whereas there is now "t_pmatch"
  doing shell like globbing, and is useful for STRSTARKUTF8)
- drop patch 5 (done by default)
- update patch 0
- new release

